curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"action": "START"}'
start_response = vehicle.start_charge()
stop_response = vehicle.stop_charge()
const startResponse = await vehicle.startCharge();
const stopResponse = await vehicle.stopCharge();
ActionResponse startResponse = vehicle.startCharge();
ActionResponse stopResponse = vehicle.stopCharge();
start_charge_response = vehicle.start_charge!
stop_charge_response = vehicle.stop_charge!
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Vehicle Commands (Legacy)
Start & Stop Charge
Start or stop the vehicle charging.
POST
/
v2.0
/
vehicles
/
{id}
/
charge
curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"action": "START"}'
start_response = vehicle.start_charge()
stop_response = vehicle.stop_charge()
const startResponse = await vehicle.startCharge();
const stopResponse = await vehicle.stopCharge();
ActionResponse startResponse = vehicle.startCharge();
ActionResponse stopResponse = vehicle.stopCharge();
start_charge_response = vehicle.start_charge!
stop_charge_response = vehicle.stop_charge!
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Remote commands are now available in API v3. We recommend using v3 for new command integrations. Commands remain available in v2.0 until it is deprecated.
Permission
control_charge
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
string
required
START or STOP the vehicle charging.curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"action": "START"}'
start_response = vehicle.start_charge()
stop_response = vehicle.stop_charge()
const startResponse = await vehicle.startCharge();
const stopResponse = await vehicle.stopCharge();
ActionResponse startResponse = vehicle.startCharge();
ActionResponse stopResponse = vehicle.stopCharge();
start_charge_response = vehicle.start_charge!
stop_charge_response = vehicle.stop_charge!
Response
string
If the request is successful, Smartcar will return “success”.
string
If the request is successful, Smartcar will return a message.
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Notes
BMW and MINIVehicle needs to be on OS Version 8+ Ford and Lincoln
Issuing a start command while the vehicle has a schedule in place for its current charging location will result in the vehicle charging to 100%. Charging schedules on the vehicle can be read through the
Charge.ChargeTimers signal.
NissanCurrently only START charge commands are supported in the US. See the Commands overview for details on setting a charge schedule for Nissan vehicles. Chevrolet, GMC, Buick and Cadillac
These vehicles require a minimum charge of 50% in order to be able to start or stop charging via the API.
Was this page helpful?

